MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024953Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2014-05-23 12:232014-11-11 12:52
Reporterapn 
Assigned Toapn 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version32 bit
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024953: Draw crashed after execution of test case bugs/modalg_5/bug24764
DescriptionDraw crashed after command bopcheck in test case bugs/modalg_5/bug24764
TagsNo tags attached.
Test case numberbugs modalg_5 bug24764
Attached Files

- Relationships

-  Notes
(0029548)
abv (manager)
2014-05-27 15:56

Is this regression?? if yes, please indicate this explicitly, as regressions must be fixed with highest priority.

The exception Standard_OutOfRange occurs in debug mode in GCPnts_QuasiUniformAbscissa::Initialize(), due to Index having value 1 while array LP has range [1, 122]
(0029549)
nbv (developer)
2014-05-27 15:59

Dear Testers!

Please use bopcheck with "-s" option, in order to except working in parallel mode. After that this test case will work.

P.S.
This problem is reproduced, if ALL following conditions are satisfied:
 1. Compiling on VC++ 2008 (if VC++ 2010 is used, problem is not reproduced). Other versions were not checked by me.
 2. Test executed only in RELEASE mode.
 3. Test executed only on Virtual machine (on local station, this problem is not reproduced).

General conclusion:
Problem requires detail analysis. At present I cannot juxtapose all those facts correctly. Therefore, At the moment, this bug should not be closed. But above described workaround is enough for usual work.
(0029550)
abv (manager)
2014-05-27 16:04

I have reproduced the problem with my current build: vc10 x64 debug (actually, version very different from current master -- I am modifying root classes of OCCT)
(0029551)
nbv (developer)
2014-05-27 16:29
edited on: 2014-05-27 16:37

About exceptions.

Yes, there are. But they are not reason for "DRAW exited abnormally".

bopcheck returns "There were errors during the operation, so the list may be incomplete". But test is completed. There is this situation on previous MASTER (http://occt-tests/IR-2014-05-15-IR-2014-05-15-occt/Windows-32-VC9/bugs/modalg_5/bug24764.html [^]).

(0029566)
nbv (developer)
2014-05-28 11:25

Dear Andrey!

Please check branch CR24953 according to terms of this bug.

If main problem is fixed, it is necessary to do detail review for ifv (please assign to him yourself).

If main problem is not fixed, we will integrate this branch in terms of new bug (exception in bopcheck operation).
(0029569)
ifv (developer)
2014-05-28 12:08

Ok
(0029603)
apn (administrator)
2014-05-29 12:50

Dear BugMaster,

Branch CR24953 (and products from GIT master) was compiled on Linux, Windows platforms and tested.
SHA-1: b178ae5f34b891851d67c6937675e017da1cd2d5

Number of compiler warnings:

occt component :
Linux: 17 (17 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions

Testing cases:
bugs modalg_5 bug24764 - OK
http://occt-tests/CR24953-master-occt/Debian60-64/bugs/modalg_5/bug24764.html [^]
http://occt-tests/CR24953-master-occt/Windows-32-VC9/bugs/modalg_5/bug24764.html [^]

Testing on Linux:
Total MEMORY difference: 359582664 / 359704480
Total CPU difference: 53408.109999999746 / 51524.94000000012

Testing on Windows:
Total MEMORY difference: 381972140 / 382757732
Total CPU difference: 40531.453125 / 37501.421875

There are no differences in images found by testdiff.

- Related Changesets
occt: master f379643f
Timestamp: 2014-05-28 07:18:27
Author: nbv
Committer: apn
Details ] Diff ]
0024953: Draw crashed after execution of test case bugs/modalg_5/bug24764

Reason of exception was liquidated.
mod - src/GCPnts/GCPnts_QuasiUniformAbscissa.gxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-05-23 12:23 apn New Issue
2014-05-23 12:23 apn Assigned To => nbv
2014-05-23 12:23 apn Test case number => bugs modalg_5 bug24764
2014-05-23 12:23 apn Status new => assigned
2014-05-27 15:56 abv Note Added: 0029548
2014-05-27 15:59 nbv Note Added: 0029549
2014-05-27 16:04 abv Note Added: 0029550
2014-05-27 16:29 nbv Note Added: 0029551
2014-05-27 16:37 nbv Note Edited: 0029551 View Revisions
2014-05-28 11:25 nbv Note Added: 0029566
2014-05-28 11:25 nbv Assigned To nbv => apn
2014-05-28 11:25 nbv Status assigned => resolved
2014-05-28 12:08 ifv Note Added: 0029569
2014-05-28 12:08 ifv Status resolved => reviewed
2014-05-29 12:50 apn Note Added: 0029603
2014-05-29 12:50 apn Assigned To apn => bugmaster
2014-05-29 12:50 apn Status reviewed => tested
2014-05-30 12:59 apn Changeset attached => occt master f379643f
2014-05-30 12:59 apn Assigned To bugmaster => apn
2014-05-30 12:59 apn Status tested => verified
2014-05-30 12:59 apn Resolution open => fixed
2014-11-11 12:46 aiv Fixed in Version => 6.8.0
2014-11-11 12:52 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker